/***************************************************************************
                          thicker.cpp  -  description
                             -------------------
    begin                : Fri Mar 17 2000
    copyright            : (C) 2000 by Marc Bartsch
    email                : marc.bartsch@topmail.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "thicker.h"

Thicker::Thicker(): GeoTool()
{
	ID = ID_colorizer;
  identificator = "Colorizer";

	int temp[] = { ID_geoObject, 1, -1 };
	convertParams( temp, sizeof( temp ) / sizeof( temp[0] ) );
}

Thicker::~Thicker()
{
}

void Thicker::processObjects()
{
	parents.first()->setWidth( width );
	parents.first()->setSize( size );
	parents.first()->move();
}
